stp_colorfuncs_t Struct Reference
color

`#include <color.h>`

## Data Fields

int(* | init )(stp_vars_t *v, stp_image_t *image, size_t steps)
int(* | get_row )(stp_vars_t *v, stp_image_t *image, int row, unsigned *zero_mask)
stp_parameter_list_t(* | list_parameters )(const stp_vars_t *v)
void(* | describe_parameter )(const stp_vars_t *v, const char *name, stp_parameter_t *description)

## Field Documentation

## describe_parameter

void(* stp_colorfuncs_t::describe_parameter) (const stp_vars_t *v, const char *name, stp_parameter_t *description)

## get_row

int(* stp_colorfuncs_t::get_row) (stp_vars_t *v, stp_image_t *image, int row, unsigned *zero_mask)

## init

int(* stp_colorfuncs_t::init) (stp_vars_t *v, stp_image_t *image, size_t steps)

## list_parameters

stp_parameter_list_t(* stp_colorfuncs_t::list_parameters) (const stp_vars_t *v)

The documentation for this struct was generated from the following file:

- include/gutenprint/color.h